#include "stm32f10x.h"
#include "STM32_init.h"
 
//------------------------------------------------------------------------------
 
void InitAll(void);
void Delay(unsigned int Val);
void STM32_Init (void);

void  TIM2_IRQHandler (void);

unsigned int time_delay_ms;
unsigned char green_flag;
unsigned char symbol;
 
//------------------------------------------------------------------------------
 
int main(void) 
	{
 
  	InitAll();
 
  	while( 1) 
  		{
    	if (green_flag)
			{
			green_flag = 0;
			if (GPIO_ReadOutputDataBit( GPIOC, GPIO_Pin_9)) GPIO_ResetBits( GPIOC, GPIO_Pin_9);
				else 
					{
					GPIO_SetBits( GPIOC, GPIO_Pin_9);
					USART_SendData(USART1, symbol++);
					}
			}
		}
	}
 
//------------------------------------------------------------------------------
 
void InitAll( void) 
	{
  	STM32_Init ();
	return;
	}
 
//------------------------------------------------------------------------------

unsigned int msec200_cnt;
unsigned int msec5_cnt;
unsigned char led_bright_cnt;
unsigned char led_cnt;

void TIM2_IRQHandler (void)
	{
	if (TIM2->SR & TIM_SR_UIF)   
		{
		TIM2->SR &= ~TIM_SR_UIF;
		
		if (++msec200_cnt == 5000)
			{
			msec200_cnt = 0;
			green_flag = 1;
			}

		if (++msec5_cnt == 125)
			{
			msec5_cnt = 0;
			++led_bright_cnt; 
			}
		
		if (++led_cnt < led_bright_cnt) GPIO_ResetBits( GPIOC, GPIO_Pin_8);
			else GPIO_SetBits( GPIOC, GPIO_Pin_8);
		}
	}

 
//------------------------------------------------------------------------------



